{
	"name": "table/external/procountor/product/product_work.json",
	"table_name": "product_work",
	"table_prefix": "prwo",
	"main_table": "product",
	"record_type": ["actual"],
	"local_table": "product_work",
	"local_record_type": "actual",
	"default_field": "table/prf/default_field.json",
	"field": [
		{
			"field_name": "person_id",
			"local_field": "person_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "employee_number",
			"local_field": "json_data.employee_number",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "product_id",
			"local_field": "product_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "amount",
			"local_field": "json_data.salary_amount",
			"field_type": "double"
		},
		{
			"field_name": "evening_amount",
			"local_field": "json_data.evening_amount",
			"field_type": "double"
		},
		{
			"field_name": "night_amount",
			"local_field": "json_data.night_amount",
			"field_type": "double"
		},
		{
			"field_name": "salary_code",
			"local_field": "json_data.salary_code",
			"field_type": "text"
		},
		{
			"field_name": "start_time",
			"local_field": "start_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "end_time",
			"local_field": "end_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "salary_period_start_date",
			"local_field": "json_data.start_date",
			"field_type": "date"
		},
		{
			"field_name": "salary_period_end_date",
			"local_field": "json_data.end_date",
			"field_type": "date"
		},
		{
			"field_name": "work_hours",
			"local_field": "work_hours",
			"field_type": "double"
		},
		{
			"field_name": "evening_work_hours",
			"local_field": "json_data.evening_work_hours",
			"field_type": "double"
		},
		{
			"field_name": "night_work_hours",
			"local_field": "json_data.night_work_hours",
			"field_type": "double"
		},
		{
			"field_name": "transfer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "text"
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text"
		}
	],
	"extra_field": []
}
